# Research Focus

{% hint style="info" %}
Please note that in all urls & code samples you'll need to replace`:username` and `:corporation` with appropriate values
{% endhint %}

## Get All Research Focuses

<mark style="color:green;">`GET`</mark> [**/v2/organization/:corporation/expert/:username/researchfocus**](https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/researchfocus/)

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Url**

<table><thead><tr><th width="339.3333333333333">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>corporation</td><td>number</td><td>Corporation ID</td></tr><tr><td>username</td><td>string</td><td>Unique username</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  data: [
    {
      id: 1,
      title: 'Research Focus title',
      subtitle: 'Research Focus subtitle',
      details: 'Details',
      date: 0,
      url: 'https://myurl.com',
      cover_url: 'img_url',
      large_cover_url: 'img_url',
      cover_alt_title: 'Alt Image Title:'
    },
  ],
  success: true
}
```

{% endtab %}
{% endtabs %}

Code

{% tabs %}
{% tab title="Node" %}

```javascript
const accessToken = `<ACCESS TOKEN>`

fetch('https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/researchfocus', {
    method: 'GET',
    headers: {
        'Content-Type': 'application/x-www-form-urlencoded',
        'Authorization': `Bearer ${accessToken}`
    }
})
.then(response => response.json())
.then(json => {
    const { success, data } = json

    if (success) {
        const focuses = data;
        console.log('all focus', focuses)
    }

})
.catch(error => console.error(error));
```

{% endtab %}

{% tab title="PHP" %}

```php
$accessToken = urlencode('<ACCESS TOKEN>');
$url = 'https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/researchfocus';

$ch = curl_init($url);
curl_setopt(
    $ch,
    CURLOPT_HTTPHEADER,
    array('Content-Type: application/x-www-form-urlencoded', 'Authorization: Bearer ' . $accessToken)
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);
$json = json_decode($response);

if($json->success){
    var_dump($json->data);
}

curl_close($ch);

```

{% endtab %}

{% tab title="Curl" %}

```
curl https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/researchfocus \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer <ACCESS TOKEN>"
```

{% endtab %}
{% endtabs %}

## Get Individual Research Focus

<mark style="color:green;">`GET`</mark> [**/v2/organization/:corporation/expert/:username/researchfocus/:id**](https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/researchfocus/:id)

**Headers**

<table><thead><tr><th width="247">Name</th><th>Value</th></tr></thead><tbody><tr><td>Content-Type</td><td><code>application/json</code></td></tr><tr><td>Authorization</td><td><code>Bearer &#x3C;token></code></td></tr></tbody></table>

**Url**

<table><thead><tr><th width="339.3333333333333">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>corporation</td><td>number</td><td>Corporation ID</td></tr><tr><td>username</td><td>string</td><td>Unique username</td></tr><tr><td>id</td><td>number</td><td>Research Focus ID</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  data: [
    {
      id: 1,
      title: 'Research Focus title',
      subtitle: 'Research Focus subtitle',
      details: 'Details',
      date: 0,
      url: 'https://myurl.com',
      cover_url: 'img_url',
      large_cover_url: 'img_url',
      cover_alt_title: 'Alt Image Title:'
    },
  ],
  success: true
}
```

{% endtab %}
{% endtabs %}

Code

{% tabs %}
{% tab title="Node" %}

<pre class="language-javascript"><code class="lang-javascript"><strong>const accessToken = `&#x3C;ACCESS TOKEN>`
</strong>
fetch('https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/reseachfocus/:id', {
    method: 'GET',
    headers: {
        'Content-Type': 'application/x-www-form-urlencoded',
        'Authorization': `Bearer ${accessToken}`
    }
})
.then(response => response.json())
.then(json => {
    const { success, data } = json

    if (success) {
        const focus = data;
        console.log('focus', focus)
    }

})
.catch(error => console.error(error));
</code></pre>

{% endtab %}

{% tab title="PHP" %}

```php
$accessToken = urlencode('<ACCESS TOKEN>');
$url = 'https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/reseachfocus/:id';

$ch = curl_init($url);
curl_setopt(
    $ch,
    CURLOPT_HTTPHEADER,
    array('Content-Type: application/x-www-form-urlencoded', 'Authorization: Bearer ' . $accessToken)
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);
$json = json_decode($response);

if($json->success){
    var_dump($json->data);
}

curl_close($ch);
```

{% endtab %}

{% tab title="Curl" %}

```
curl -X GET https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/reseachfocus/:id \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer <ACCESS TOKEN>"     
```

{% endtab %}
{% endtabs %}

## Create Research Focus

<mark style="color:blue;">`POST`</mark> [**/v2/organization/:corporation/expert/:username/researchfocus**](https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/researchfocus/)

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Url**

<table><thead><tr><th width="339.3333333333333">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>corporation</td><td>number</td><td>Corporation ID</td></tr><tr><td>username</td><td>string</td><td>Unique username</td></tr></tbody></table>

**Body**

<table><thead><tr><th width="339.3333333333333">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>title<mark style="color:red;">*</mark></td><td>string</td><td>Research Focus Title</td></tr><tr><td>details<mark style="color:red;">*</mark></td><td>string</td><td>Research Focus Details</td></tr><tr><td>url</td><td>string</td><td>Research Focus Url</td></tr><tr><td>subtitle</td><td>string</td><td>Research Focus Subtitle</td></tr><tr><td>date</td><td>unix timestamp</td><td>Research Focus Date</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{ 
    data: { 
        id: 1
    }, 
    success: true 
}
```

{% endtab %}
{% endtabs %}

Code

{% tabs %}
{% tab title="Node" %}

```javascript
const data = new URLSearchParams();
const accessToken = `<ACCESS TOKEN>`

data.append('title', 'Focus title');
data.append('details', 'Focus details...');
data.append('url', 'https://myurl.com');
data.append('subtitle', 'Focus subtitle');
data.append('date', 1703653200);

fetch('https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/researchfocus', {
    method: 'POST',
    headers: {
        'Content-Type': 'application/x-www-form-urlencoded',
        'Authorization': `Bearer ${accessToken}`
    },
    body: data
})
.then(response => response.json())
.then(json => {
    const { success, data, error } = json

    if (success) {
        const { id } = data
        console.log('New focus id', id)
    }

})
.catch(error => console.error(error));
```

{% endtab %}

{% tab title="PHP" %}

```php
$accessToken = urlencode('<ACCESS TOKEN>');

$url = 'https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/researchfocus';
$data = ['title' => 'Focus title', 'details' => 'Focus details...', 'url' => 'https://myurl.com', 'subtitle' => 'Focus subtitle', 'date' => 1703653200];

$ch = curl_init($url);
curl_setopt(
    $ch,
    CURLOPT_HTTPHEADER,
    array('Content-Type: application/x-www-form-urlencoded', 'Authorization: Bearer ' . $accessToken)
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data));

$response = curl_exec($ch);
$json = json_decode($response);

if($json->success){
    var_dump($json->data);
}

curl_close($ch)
```

{% endtab %}

{% tab title="Curl" %}

```
curl -X POST https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/researchfocus \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer <ACCESS TOKEN>" \
    -d '{"title": "Focus title", "details": "Focus details...", "url": "https://myurl.com", "subtitle": "Focus subtitle", "date":1703653200}'
```

{% endtab %}
{% endtabs %}

## Update Research Focus

<mark style="color:blue;">`PUT`</mark> [**/v2/organization/:corporation/expert/:username/researchfocus/:id**](https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/researchfocus/:id)

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Url**

<table><thead><tr><th width="339.3333333333333">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>corporation</td><td>number</td><td>Corporation ID</td></tr><tr><td>username</td><td>string</td><td>Unique username</td></tr><tr><td>id</td><td>number</td><td>Research Focus ID</td></tr></tbody></table>

**Body**

<table><thead><tr><th width="339.3333333333333">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>title<mark style="color:red;">*</mark></td><td>string</td><td>Research Focus Title</td></tr><tr><td>details<mark style="color:red;">*</mark></td><td>string</td><td>Research Focus Details</td></tr><tr><td>url</td><td>string</td><td>Research Focus Url</td></tr><tr><td>subtitle</td><td>string</td><td>Research Focus Subtitle</td></tr><tr><td>date</td><td>unix timestamp</td><td>Research Focus Date</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{ 
    data: { 
        id: 1, 
        updated: true 
    }, 
    success: true 
}
```

{% endtab %}
{% endtabs %}

Code

{% tabs %}
{% tab title="Node" %}

```javascript
const data = new URLSearchParams();
const accessToken = `<ACCESS TOKEN>`

data.append('title', 'Focus title');
data.append('details', 'Focus details...');
data.append('url', 'https://myurl.com');
data.append('subtitle', 'Focus subtitle');
data.append('date', 1703653200);

fetch('https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/researchfocus/:id', {
    method: 'PUT',
    headers: {
        'Content-Type': 'application/x-www-form-urlencoded',
        'Authorization': `Bearer ${accessToken}`
    },
    body: data
})
.then(response => response.json())
.then(json => {
    const { success, data, error } = json

    if (success) {
        const { id } = data
        console.log('New focus id', id)
    }

})
.catch(error => console.error(error));

```

{% endtab %}

{% tab title="PHP" %}

```php
$accessToken = urlencode('<ACCESS TOKEN>');

$url = 'https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/researchfocus/:id';
$data = ['title' => 'Focus title', 'details' => 'Focus details...', 'url' => 'https://myurl.com', 'subtitle' => 'Focus subtitle', 'date' => 1703653200];

$ch = curl_init($url);
curl_setopt(
    $ch,
    CURLOPT_HTTPHEADER,
    array('Content-Type: application/x-www-form-urlencoded', 'Authorization: Bearer ' . $accessToken)
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_PUT, http_build_query($data));

$response = curl_exec($ch);
$json = json_decode($response);

if($json->success){
    var_dump($json->data);
}

curl_close($ch)
```

{% endtab %}

{% tab title="Curl" %}

```
curl -X PUT https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/researchfocus/:id \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer <ACCESS TOKEN>" \
    -d '{"title": "Focus title", "details": "Focus details...", "url": "https://myurl.com", "subtitle": "Focus subtitle", "date":1703653200}'
```

{% endtab %}
{% endtabs %}

## Delete Research Focus

<mark style="color:red;">`DELETE`</mark> [**/v2/organization/:corporation/expert/:username/researchfocus/:id**](https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/researchfocus/:id)

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Url**

<table><thead><tr><th width="339.3333333333333">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>corporation</td><td>number</td><td>Corporation ID</td></tr><tr><td>username</td><td>string</td><td>Unique username</td></tr><tr><td>id</td><td>number</td><td>Research Focus ID</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{ 
    data: { 
        deleted: true, 
        id: 1 
    }, 
    success: true 
}
```

{% endtab %}
{% endtabs %}

Code

{% tabs %}
{% tab title="Node" %}

```javascript
const accessToken = `<ACCESS TOKEN>`

fetch('https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/researchfocus/:id', {
    method: 'DELETE',
    headers: {
        'Content-Type': 'application/x-www-form-urlencoded',
        'Authorization': `Bearer ${accessToken}`
    }
})
.then(response => response.json())
.then(json => {
    const { success, data, error } = json

    if (success) {
        const { id } = data
        console.log('Deleted research focus id', id)
    }

})
.catch(error => console.error(error));

```

{% endtab %}

{% tab title="PHP" %}

```php
$accessToken = urlencode('<ACCESS TOKEN>');

$url = 'https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/researchfocus/:id';

$ch = curl_init($url);
curl_setopt(
    $ch,
    CURLOPT_HTTPHEADER,
    array('Content-Type: application/x-www-form-urlencoded', 'Authorization: Bearer ' . $accessToken)
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "DELETE");

$response = curl_exec($ch);
$json = json_decode($response);

if($json->success){
    var_dump($json->data);
}

curl_close($ch);
```

{% endtab %}

{% tab title="Curl" %}

```
curl -X DELETE https://public-api.expertfile.com/v2/organization/:corporation/expert/:username/researchfocus/:id \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer <ACCESS TOKEN>"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.expertfile.com/reference/api-reference/experts/expert-profile/research-focus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
